model_info = {
    'DATA_PATH': {'TRAIN': '/DS/miniimagenet',
                  'TEST': '/DS/IM_mini_ex'},
    'WN_PATH': '/data_info/wordnet_mini.pkl',
    'GLOVE_PATH': '/data_info/glove_mini.pkl',
    'GLOVE_embeddings_PATH': '/data_info/glove.42B.300d.txt',
    'ONEHOT_DATA': True,
    'DEVICE': 'gpu',
    'EPOCHS': 400,
    'LR':  1e-3,
    'TRAIN_SIZE': 0.8,
    'DATA_SEED': 24,
    'BATCH_SIZE': 128,
    'NORMALIZE_INPUT': True,
    'OPT': 'Adam',
    'SCHEDULER': {'MAIN': {'NAME': 'ROP', 'PATIENCE': 20, 'FACTOR': 0.8, 'STEP': 5, 'GAMMA': 0.5},
                  'WARMUP': {'NAME': 'LINEAR', 'EPOCHS': 10, 'DECAY': 0.01}},
    'MODEL_NAME': 'VIT_B',
    'LOG': True,
    'SHAPE': [224, 224],

    'AUG': {
	'CUTMIX': False,
        'CUTMIX_P': 0.5,
        'MEAN': [0.40371441, 0.44959548, 0.47393997],
        'STD': [0.29335567, 0.27962715, 0.28810233],
        'FLIP': 0.5,
        'ROTATION': [-20, 20],
        'GAUSS': [0, 0.08]
    }
}
